---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Scenes/01_Boat_crash_site/Anim/Z_Yacht/"
---------------------------------------------------------------------------------------
createCompositionbg = nil
createCompositionbg_over = nil
createCompositionfon = nil
createCompositionpereliv = nil
createCompositionPIL = nil
createComposition21_ofis_manager = nil
---------------------------------------------------------------------------------------
createCompositionbg = function()
	local compositionbg = CreateCompositionSequence()
	local compositionDuration = 8
	compositionbg:setDuration(compositionDuration)
	compositionbg:setName("compositionbg" )
	compositionbg:setBoundingBox( Rectanglef(0, 0, 640,480) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionpereliv()
	element:setName("Layer_1")
	compositionbg:addElement(element)
	element:setHotSpot(320, 240)
	element:setParentElement(compositionbg)
	element:setXY(320, 240)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
	compositionbg:play()
 
	return compositionbg
end
 
createCompositionbg_over = function()
	local compositionbg_over = CreateCompositionSequence()
	local compositionDuration = 8
	compositionbg_over:setDuration(compositionDuration)
	compositionbg_over:setName("compositionbg_over" )
	compositionbg_over:setBoundingBox( Rectanglef(0, 0, 1024,768) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionPIL()
	element:setName("Layer_1")
	compositionbg_over:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionbg_over)
	element:setXY(512, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
	compositionbg_over:play()
 
	return compositionbg_over
end
 
createCompositionfon = function()
	local compositionfon = CreateCompositionSequence()
	local compositionDuration = 8
	compositionfon:setDuration(compositionDuration)
	compositionfon:setName("compositionfon" )
	compositionfon:setBoundingBox( Rectanglef(0, 0, 640,480) )
 
	local element
	local effector
	compositionfon:play()
 
	return compositionfon
end
 
createCompositionpereliv = function()
	local compositionpereliv = CreateCompositionSequence()
	local compositionDuration = 8
	compositionpereliv:setDuration(compositionDuration)
	compositionpereliv:setName("compositionpereliv" )
	compositionpereliv:setBoundingBox( Rectanglef(0, 0, 640,480) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."2_[].png")
	element:setName("Layer_1")
	compositionpereliv:addElement(element)
	element:setHotSpot(35, 30)
	element:setParentElement(compositionpereliv)
	element:setXY(497.5, 220)
 
	element:setScale(4,4)
					local anim = element
					anim:setAnimationSize(70,60)
					anim:setFramesCount(21)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(5.41666666666667, 7.16666666666667)
	effector:play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."2_[].png")
	element:setName("Layer_2")
	compositionpereliv:addElement(element)
	element:setHotSpot(35, 30)
	element:setParentElement(compositionpereliv)
	element:setXY(497.5, 220)
 
	element:setScale(4,4)
					local anim = element
					anim:setAnimationSize(70,60)
					anim:setFramesCount(21)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(1.875, 3.625)
	effector:play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."l_[].png")
	element:setName("Layer_3")
	compositionpereliv:addElement(element)
	element:setHotSpot(47, 22)
	element:setParentElement(compositionpereliv)
	element:setXY(199.5, 89)
 
	element:setScale(4,4)
					local anim = element
					anim:setAnimationSize(94,44)
					anim:setFramesCount(18)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(4.29166666666667, 5.79166666666667)
	effector:play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."l_[].png")
	element:setName("Layer_4")
	compositionpereliv:addElement(element)
	element:setHotSpot(47, 22)
	element:setParentElement(compositionpereliv)
	element:setXY(199.5, 89)
 
	element:setScale(4,4)
					local anim = element
					anim:setAnimationSize(94,44)
					anim:setFramesCount(18)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0.625, 2.125)
	effector:play()
 
	compositionpereliv:play()
 
	return compositionpereliv
end
 
createCompositionPIL = function()
	local compositionPIL = CreateCompositionSequence()
	local compositionDuration = 8
	compositionPIL:setDuration(compositionDuration)
	compositionPIL:setName("compositionPIL" )
	compositionPIL:setBoundingBox( Rectanglef(0, 0, 1024,768) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:setName("Layer_1")
	compositionPIL:addElement(element)
	element:setHotSpot(77, 57.5)
	element:setParentElement(compositionPIL)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0, 687.43147277832)
	effector:setKey(_TRACK_Y, 0, 203.370559692383)
	effector:setKey(_TRACK_X, 2.75, 537.989852905273)
	effector:setKey(_TRACK_Y, 2.75, 256.649749755859)
	effector:setKey(_TRACK_X, 4.41666666666667, 547.157657890843)
	effector:setKey(_TRACK_Y, 4.41666666666667, 280.218572131536)
	effector:setKey(_TRACK_X, 7.54166666666667, 584.837592342997)
	effector:setKey(_TRACK_Y, 7.54166666666667, 339.274022417342)
	effector:setKey(_TRACK_X, 7.95833333333333, 687.43147277832)
	effector:setKey(_TRACK_Y, 7.95833333333333, 203.370559692383)
	effector:setKey(_TRACK_SX, 0, 0.75)
	effector:setKey(_TRACK_SY, 0, 0.75)
	effector:setKey(_TRACK_SX, 7.95833333333333, 0.75)
	effector:setKey(_TRACK_SY, 7.95833333333333, 0.75)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 7.95833333333333, 0)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 4, 1)
	effector:setKey(_TRACK_O, 7.58333333333333, 0)
	effector:play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:setName("Layer_2")
	compositionPIL:addElement(element)
	element:setHotSpot(77, 57.5)
	element:setParentElement(compositionPIL)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0, 687.43147277832)
	effector:setKey(_TRACK_Y, 0, 478.862945556641)
	effector:setKey(_TRACK_X, 6.45833333333333, 494.43147277832)
	effector:setKey(_TRACK_Y, 6.45833333333333, 352.862945556641)
	effector:setKey(_TRACK_X, 7.95833333333333, 687.43147277832)
	effector:setKey(_TRACK_Y, 7.95833333333333, 478.862945556641)
	effector:setKey(_TRACK_SX, 0, 0.18)
	effector:setKey(_TRACK_SY, 0, 0.18)
	effector:setKey(_TRACK_SX, 7.95833333333333, 0.18)
	effector:setKey(_TRACK_SY, 7.95833333333333, 0.18)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 7.95833333333333, 0)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 4.04166666666667, 1)
	effector:setKey(_TRACK_O, 6.45833333333333, 0)
	effector:play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:setName("Layer_3")
	compositionPIL:addElement(element)
	element:setHotSpot(77, 57.5)
	element:setParentElement(compositionPIL)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0, 327.472076416016)
	effector:setKey(_TRACK_Y, 0, 220.263961791992)
	effector:setKey(_TRACK_X, 7.29166666666667, 424.934005737305)
	effector:setKey(_TRACK_Y, 7.29166666666667, 319.025390625)
	effector:setKey(_TRACK_X, 7.95833333333333, 327.472076416016)
	effector:setKey(_TRACK_Y, 7.95833333333333, 220.263961791992)
	effector:setKey(_TRACK_SX, 0, 0.58)
	effector:setKey(_TRACK_SY, 0, 0.58)
	effector:setKey(_TRACK_SX, 7.95833333333333, 0.58)
	effector:setKey(_TRACK_SY, 7.95833333333333, 0.58)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 7.95833333333333, 0)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 4.25, 1)
	effector:setKey(_TRACK_O, 7.33333333333333, 0)
	effector:play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:setName("Layer_4")
	compositionPIL:addElement(element)
	element:setHotSpot(77, 57.5)
	element:setParentElement(compositionPIL)
	element:setOpacity(0.74)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0, 626.355331420898)
	effector:setKey(_TRACK_Y, 0, 351.5126953125)
	effector:setKey(_TRACK_X, 1.20833333333333, 596.467010498047)
	effector:setKey(_TRACK_Y, 1.20833333333333, 335.918792724609)
	effector:setKey(_TRACK_X, 2.41666666666667, 565.431600728514)
	effector:setKey(_TRACK_Y, 2.41666666666667, 364.700146583924)
	effector:setKey(_TRACK_X, 3.70833333333333, 574.438329191502)
	effector:setKey(_TRACK_Y, 3.70833333333333, 405.808160540204)
	effector:setKey(_TRACK_X, 5.41666666666667, 610.901271150064)
	effector:setKey(_TRACK_Y, 5.41666666666667, 413.87137306255)
	effector:setKey(_TRACK_X, 6.45833333333333, 640.6258042686)
	effector:setKey(_TRACK_Y, 6.45833333333333, 388.31440589315)
	effector:setKey(_TRACK_X, 7.95833333333333, 626.355331420898)
	effector:setKey(_TRACK_Y, 7.95833333333333, 351.5126953125)
	effector:setKey(_TRACK_SX, 0, 0.58)
	effector:setKey(_TRACK_SY, 0, 0.58)
	effector:setKey(_TRACK_SX, 7.95833333333333, 0.58)
	effector:setKey(_TRACK_SY, 7.95833333333333, 0.58)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 7.95833333333333, 0)
	effector:play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:setName("Layer_5")
	compositionPIL:addElement(element)
	element:setHotSpot(77, 57.5)
	element:setParentElement(compositionPIL)
	element:setOpacity(0.74)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0, 495.106597900391)
	effector:setKey(_TRACK_Y, 0, 243.654830932617)
	effector:setKey(_TRACK_X, 0.83333333333333, 460.020309448242)
	effector:setKey(_TRACK_Y, 0.83333333333333, 254.050765991211)
	effector:setKey(_TRACK_X, 1.75, 464.534351877902)
	effector:setKey(_TRACK_Y, 1.75, 287.799560680961)
	effector:setKey(_TRACK_X, 2.91666666666667, 497.226845175212)
	effector:setKey(_TRACK_Y, 2.91666666666667, 306.564447798246)
	effector:setKey(_TRACK_X, 3.95833333333333, 529.368989847003)
	effector:setKey(_TRACK_Y, 3.95833333333333, 306.719179105075)
	effector:setKey(_TRACK_X, 4.91666666666667, 545.115430960404)
	effector:setKey(_TRACK_Y, 4.91666666666667, 276.847634074687)
	effector:setKey(_TRACK_X, 5.83333333333333, 536.754114661612)
	effector:setKey(_TRACK_Y, 5.83333333333333, 247.044506583517)
	effector:setKey(_TRACK_X, 7.25, 521.580740651409)
	effector:setKey(_TRACK_Y, 7.25, 228.039725667131)
	effector:setKey(_TRACK_X, 7.95833333333333, 495.106597900391)
	effector:setKey(_TRACK_Y, 7.95833333333333, 243.654830932617)
	effector:setKey(_TRACK_SX, 0, 0.4)
	effector:setKey(_TRACK_SY, 0, 0.4)
	effector:setKey(_TRACK_SX, 7.95833333333333, 0.4)
	effector:setKey(_TRACK_SY, 7.95833333333333, 0.4)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 7.95833333333333, 0)
	effector:play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:setName("Layer_6")
	compositionPIL:addElement(element)
	element:setHotSpot(77, 57.5)
	element:setParentElement(compositionPIL)
	element:setOpacity(0.74)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0, 439.228424072266)
	effector:setKey(_TRACK_Y, 0, 468.467010498047)
	effector:setKey(_TRACK_X, 1.54166666666667, 427.532989501953)
	effector:setKey(_TRACK_Y, 1.54166666666667, 490.558380126953)
	effector:setKey(_TRACK_X, 2.66666666666667, 438.679956958737)
	effector:setKey(_TRACK_Y, 2.66666666666667, 516.57350412003)
	effector:setKey(_TRACK_X, 3.75, 463.482594935107)
	effector:setKey(_TRACK_Y, 3.75, 523.618334748734)
	effector:setKey(_TRACK_X, 4.58333333333333, 478.172176028744)
	effector:setKey(_TRACK_Y, 4.58333333333333, 516.595766766942)
	effector:setKey(_TRACK_X, 5.41666666666667, 481.549274759467)
	effector:setKey(_TRACK_Y, 5.41666666666667, 500.811070791084)
	effector:setKey(_TRACK_X, 6.45833333333333, 474.60050927888)
	effector:setKey(_TRACK_Y, 6.45833333333333, 484.956256132337)
	effector:setKey(_TRACK_X, 7.95833333333333, 439.228424072266)
	effector:setKey(_TRACK_Y, 7.95833333333333, 468.467010498047)
	effector:setKey(_TRACK_SX, 0, 0.4)
	effector:setKey(_TRACK_SY, 0, 0.4)
	effector:setKey(_TRACK_SX, 7.95833333333333, 0.4)
	effector:setKey(_TRACK_SY, 7.95833333333333, 0.4)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 7.95833333333333, 0)
	effector:play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:setName("Layer_7")
	compositionPIL:addElement(element)
	element:setHotSpot(77, 57.5)
	element:setParentElement(compositionPIL)
	element:setOpacity(0.74)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0, 372.954315185547)
	effector:setKey(_TRACK_Y, 0, 325.522842407227)
	effector:setKey(_TRACK_X, 1.58333333333333, 358.659896850586)
	effector:setKey(_TRACK_Y, 1.58333333333333, 355.411163330078)
	effector:setKey(_TRACK_X, 2.83333333333333, 383.04448999664)
	effector:setKey(_TRACK_Y, 2.83333333333333, 386.012938600043)
	effector:setKey(_TRACK_X, 4.16666666666667, 407.708003965358)
	effector:setKey(_TRACK_Y, 4.16666666666667, 374.169742441612)
	effector:setKey(_TRACK_X, 5.5, 412.380094673341)
	effector:setKey(_TRACK_Y, 5.5, 354.46382889681)
	effector:setKey(_TRACK_X, 6.66666666666667, 400.166503018291)
	effector:setKey(_TRACK_Y, 6.66666666666667, 331.632291455858)
	effector:setKey(_TRACK_X, 7.95833333333333, 372.954315185547)
	effector:setKey(_TRACK_Y, 7.95833333333333, 325.522842407227)
	effector:setKey(_TRACK_SX, 0, 0.5)
	effector:setKey(_TRACK_SY, 0, 0.5)
	effector:setKey(_TRACK_SX, 7.95833333333333, 0.5)
	effector:setKey(_TRACK_SY, 7.95833333333333, 0.5)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 7.95833333333333, 0)
	effector:play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:setName("Layer_8")
	compositionPIL:addElement(element)
	element:setHotSpot(77, 57.5)
	element:setParentElement(compositionPIL)
	element:setOpacity(0.74)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0, 512)
	effector:setKey(_TRACK_Y, 0, 384)
	effector:setKey(_TRACK_X, 2.125, 454.822341918945)
	effector:setKey(_TRACK_Y, 2.125, 420.385787963867)
	effector:setKey(_TRACK_X, 3.91666666666667, 503.651483868985)
	effector:setKey(_TRACK_Y, 3.91666666666667, 459.367142179874)
	effector:setKey(_TRACK_X, 5.91666666666667, 548.658148776434)
	effector:setKey(_TRACK_Y, 5.91666666666667, 414.172034854585)
	effector:setKey(_TRACK_X, 7.95833333333333, 512)
	effector:setKey(_TRACK_Y, 7.95833333333333, 384)
	effector:setKey(_TRACK_SX, 0, 0.5)
	effector:setKey(_TRACK_SY, 0, 0.5)
	effector:setKey(_TRACK_SX, 3.91666666666667, 0.73)
	effector:setKey(_TRACK_SY, 3.91666666666667, 0.73)
	effector:setKey(_TRACK_SX, 7.95833333333333, 0.5)
	effector:setKey(_TRACK_SY, 7.95833333333333, 0.5)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 4.41666666666667, 2.6703537525)
	effector:setKey(_TRACK_A, 7.95833333333333, 0)
	effector:play()
 
	compositionPIL:play()
 
	return compositionPIL
end
 
createComposition21_ofis_manager = function()
	local composition21_ofis_manager = CreateCompositionSequence()
	local compositionDuration = 8
	composition21_ofis_manager:setDuration(compositionDuration)
	composition21_ofis_manager:setName("composition21_ofis_manager" )
	composition21_ofis_manager:setBoundingBox( Rectanglef(0, 0, 1024,768) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionPIL()
	element:setName("Layer_1")
	composition21_ofis_manager:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(composition21_ofis_manager)
	element:setXY(512, 384)
 
	element:setOpacity(0.48)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
	composition21_ofis_manager:play()
 
	return composition21_ofis_manager
end
 
